/*
 * Sungka v0.10.
 * SungkaConstants.java - Shared constants among Sungka Classes
 * Copyright (c) 2003 Michael Barrientos. All rights reserved.
 */
import java.util.*;
import java.awt.*;

/**
 * SungkaConstants stores constants that are shared among many different Sungka
 * classes.
 *
 * It's an interface instead of just a class since I'm too lazy. :-) These
 * constants started out as static class variables in one class, and making
 * each class implement the interface instead of just referencing it keeps me
 * from having to change the code. I'll fix it one day. Here's proof:
 *
 * FIXME
 *
 * @author Michael Barrientos
 * @version 0.10, 3/4/2003
 */
public interface SungkaConstants {

	/** Resource bundle for localized strings. */
	public static ResourceBundle resources = ResourceBundle.getBundle("sungka");

	/** Error log message type (e.g. severe error) */
	public static final String LOG_ERROR = "logError";
	
	/** Player move log message type */
	public static final String LOG_MOVE = "logMove";

	/** Player added/removed log message type */
	public static final String LOG_PLAYER = "logPlayer";

	/** Chat message log message type */
	public static final String LOG_CHAT = "logChat";

	/** Debug message log message type */
	public static final String LOG_DEBUG = "logDebug";

	/** Game error log message type (e.g. player violated a rule) */
	public static final String LOG_GAMEERROR = "logGameError";

	/** Default hostname to connect to. */
	public static final String DEFAULT_HOST = "localhost";

	/** Default port number to connect to. */
	public static final int DEFAULT_PORT = 1050;

	/** Color to change dialog labels to on invalid input. */
	public static final Color errorColor = Color.RED;

	/** Default color of dialog labels. */
	public static final Color defaultColor = Color.BLACK;
}
