/*
 * Sungka v0.10.
 * SungkaRegisterView.java - Game server view interface
 * Copyright (c) 2003 Michael Barrientos. All rights reserved.
 */
import java.io.*;

/**
 * An interface to get updates of the state of the game server. This class
 * will receive messages when a server changes state (e.g. from running to
 * shutting down.)
 *
 * This class also provides a method to get a PrintWriter which the server
 * can then use to print messages to, from regular logs to exception traces.
 *
 * @author Michael Barrientos
 * @version 0.10, 3/4/2003
 */
public interface SungkaRegisterView {

	/**
	 * Receives updates of server state, and updates the view.
	 * @param state The state the server has changed to.
	 */
	public void updateState(int state);

	/**
	 * Returns a PrintWriter which the game server can print log messages to.
	 * @return A PrintWriter that can receive log messages.
	 */
	public PrintWriter getLogPrintWriter();
}
